# List all map fields

```http
GET https://api.axiom.co/v2/datasets/{dataset_id}/mapfields
```

Lists the names of the fields configured as map fields in a dataset.

## Authentication

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: `Authorization: Bearer <token>`. For more information, see [Tokens](/reference/tokens).

## Parameters

- `dataset_id` (path; string; required)

## Responses

### 200: Map field names.

Content type: `application/json`

Type: `MapFields`

### 403: Forbidden

Content type: `application/json`

- `code` (string)
- `message` (string)

### 404: Not found

Content type: `application/json`

- `code` (string)
- `message` (string)

## Schemas

### MapFields

A list of map field names

Type: array of string